<div class="request-review-ra">
    <form [formGroup]="requestReviewRaFormGroup" (ngSubmit)="onSubmit()">   
      <app-content-banner [isDashboard]="false" pageName="Referring Agency Site Review"></app-content-banner>
      <mat-card class="sp-main-card mat-elevation-z0">
           <mat-card-header fxLayout="column" fxLayoutGap="5px">
              <div fxLayout="row" class="second-header-filter">
                  <span><b>Agency Name: </b> <span>{{raAgencySiteRequestModel ? raAgencySiteRequestModel.agencyName : ''}}</span></span>
                  <span ><b>Agency Address: </b> <span>{{agencyFullAddress}}</span></span>
                  <span><b>Site Name: </b> <span>{{raAgencySiteRequestModel ? raAgencySiteRequestModel.siteName : ''}}</span></span>
                  <span><b>Site Address: </b> <span>{{siteFullAddress}}</span></span>
              </div>
          </mat-card-header> 
        <mat-card-content class="regular-mat-form-field">
          <mat-tab-group dynamicHeight  [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="tabChanged($event)" >
            <mat-tab label="Agency Information" (click)="onSubmit()">
              <app-agency-info-review [agencyTypes]="housingProgramData" [agencyRequestID]="agencyRequestID" [siteRequestID]="siteRequestID" [requestTypeID]="requestTypeID" [agencySiteData]="raAgencySiteRequestModel" ></app-agency-info-review>
            </mat-tab>
            <mat-tab label="Site Information" (click)="onSubmit()">
              <app-site-info-review [siteTypes]="housingProgramData" [agencyRequestID]="agencyRequestID" [siteRequestID]="siteRequestID" [agencySiteData]="raAgencySiteRequestModel" ></app-site-info-review>
            </mat-tab>
            <mat-tab label="Approval" (click)="onSubmit()">
              <app-approval-info-review [agencyRequestID]="agencyRequestID" [siteRequestID]="siteRequestID" [requestTypeID]="requestTypeID" [agencySiteApprovalData]="raAgencySiteRequestModel"></app-approval-info-review>
            </mat-tab>
          </mat-tab-group>
  
          <div fxLayout="row" style="margin: 5px; margin-top: 20px;" fxLayoutGap="10px">
            <div fxLayoutAlign="start" fxLayoutGap="10px" fxFlex="80">
              <button type="submit" *ngIf="tabSelectedIndex == 2" [disabled]="IsApproveButtonDisabled" mat-raised-button color="primary" style="width: 75px;" (click)="approveClicked($event)">Approve</button>
              <button type="button" *ngIf="tabSelectedIndex == 2" [disabled]="IsDisapproveButtonDisabled"  mat-raised-button color="primary" style="width: 100px;" (click)="disApproveClicked($event)">Disapprove</button>
            </div>
            <div fxLayoutAlign="end" fxLayoutGap="10px" fxFlex>
              <button type="submit" *ngIf="tabSelectedIndex > 0" mat-raised-button fxFlexAlign="right" color="primary" style="width: 87px; align-content:center;" (click)="previousPage()">Previous</button>
              <button type="submit" *ngIf="tabSelectedIndex < 2" mat-raised-button fxFlexAlign="right" color="primary" style="width: 50px; align-content:center;" (click)="nextPage()">Next</button>
            </div>
          </div>
        
      </mat-card-content>
      </mat-card>
    </form> 
    </div>
    